# Best IDE?

Welcome back, holyre. You last visited: Today, 05:44 PM Log Out
Pages (7): « Previous 1 2 3 4 5 ... 7 Next »
New Reply

Best IDE?

Century Child •
Active
Member
Posts:
568
Joined:
Mar 2020
Reputation:
13
#11
09-05-2020, 03:50 PM
Notepad++ etc... are editors and no IDEs, I think. IDEs are software like NetBeans or Eclipse for a specific language.
XMPP: centurychild@xmpp.jp [OTR ONLY]
XMPP: centurychild@cryptbbsfmzv6dq4ec2iv6ravrw5ohgmklfagqhtvkgiaknvte5fylqd.onion [OTR ONLY]
PM Website Find Rep
Reply Report
GlowingOne •
Senior
Member
Posts:
118
Joined:
Aug 2020
Reputation:
0
#12
09-05-2020, 04:02 PM

> (09-05-2020, 03:50 PM)Century Child Wrote: Notepad++ etc... are editors and no IDEs, I think. IDEs are software like NetBeans or Eclipse for a specific language.

If windows go all the way to Visual Studio. Else, if you can't for any reason there are plenty of IDEs. Also JetBrains products are good, but they're not free. I'd go with Eclipse or Atom, if you want use opensource.
PM Find Rep
Reply Report
Kriemhild •
Member
Registered
Posts:
49
Joined:
Jul 2020
Reputation:
0
#13
09-06-2020, 12:04 AM
If libre software is what you're looking for there is Vscodium.
PM Find Rep
Reply Report
tyl3rdurd3n •
Junior
Member
Posts:
22
Joined:
Sep 2020
Reputation:
0
#14
09-12-2020, 02:44 AM

> (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> I've tried sublime text (Piracy сука) but it wasn't really my speed.

Used a ton of the IDEs available. Vim is the obvious platform you should get used to for editing code from a terminal.
Outside of a terminal, it depends on language. I use two.
Pycharm is my favorite for Python. Whenever I have a primarily Python project, I use that and I am an extremely heavy user of the debugging and introspection tools for PostgreSQL, Redis, RabbitMQ, etc... That is the primary reason that I prefer this IDE.
VSCode is free and extremely flexible for all other projects - including C, C++, C#, and Rust. Whenever I have a non-Python primary project, I use this. Tons of extensions. Supports MS codebase and extensions. I hate MS, but I fucking love VSCode.
PM Find Rep
Reply Report
r0bin123 •
Junior
Registered
Posts:
13
Joined:
Apr 2020
Reputation:
0
#15
09-13-2020, 10:31 PM
Are extensions in vscodium open source or not? I'm not sure if the extensions in vscodium will also have hidden telemetry because they're just the same extensions in vscode. Do u guys use Kali for coding?
PM Find Rep
Reply Report
reqwer •
Newbie
Registered
Posts:
4
Joined:
Sep 2020
Reputation:
0
#16
09-14-2020, 10:49 PM
Visual Studio Code is king.
PM Find Rep
Reply Report
killswitch •
Junior
Registered
Posts:
5
Joined:
Sep 2020
Reputation:
0
#17
09-15-2020, 02:22 PM
Ive used VS mostly but have also played about with Code Blocks IDE which is free and pretty easy to use and configure
PM Find Rep
Reply Report
Tesla_Shock •
Junior
Registered
Posts:
23
Joined:
Sep 2020
Reputation:
0
#18
09-20-2020, 10:30 AM

> (09-12-2020, 02:44 AM)tyl3rdurd3n Wrote:

> > (09-03-2020, 10:34 AM)Tesla_Shock Wrote: I personally use Atom. Compact, and easy to mod. Any other suggestions?
> > I've tried sublime text (Piracy сука) but it wasn't really my speed.

> Used a ton of the IDEs available. Vim is the obvious platform you should get used to for editing code from a terminal.
> Outside of a terminal, it depends on language. I use two.
> Pycharm is my favorite for Python. Whenever I have a primarily Python project, I use that and I am an extremely heavy user of the debugging and introspection tools for PostgreSQL, Redis, RabbitMQ, etc... That is the primary reason that I prefer this IDE.
> VSCode is free and extremely flexible for all other projects - including C, C++, C#, and Rust. Whenever I have a non-Python primary project, I use this. Tons of extensions. Supports MS codebase and extensions. I hate MS, but I fucking love VSCode.

Thank your for the advice!
PM Find Rep
Reply Report
comodogangster222 •
Member
Member
Posts:
29
Joined:
Jul 2020
Reputation:
0
#19
09-24-2020, 12:07 PM
In my opinion, IDE are bad. The other side of the fence would be VIM, it makes you understand what you are typing. People stick to IDE's sometimes because it detects errors before hand and supports a simple and fast execution method, which can hide the beauty of a compiler/linker (this is most true to C/C++). I would say that IDE's are a level of abstraction that is not necessarily good, because it hides a lot of shit.
But, you can use a text editor (VSCode, Atom) if you think Vim is too hardcore, though I always recommend Vim, even if it hard to learn. Sometimes in a dark terminal that's the only resource you have...
PM Find Rep
Reply Report
SWAT •
Newbie
Registered
Posts:
1
Joined:
Sep 2020
Reputation:
0
#20
09-25-2020, 09:28 PM
I recommend Visual Studio Code.
PM Find Rep
Reply Report

Pages (7): « Previous 1 2 3 4 5 ... 7 Next »
// $(".author_avatar img").error(function () { $(this).unbind("error").closest('.author_avatar').remove(); });